=== debian/changelog ===
wpa (2.1-0ubuntu1.7+esm5) trusty-security; urgency=medium

  * SECURITY UPDATE: loading arbitrary shared objects, privilege escalation
    - debian/patches/lib_engine_trusted_path.patch: Allow shared objects
      to only be loaded from /usr/lib, thanks to mdeslaur
    - CVE-2024-5290 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 06 Aug 2024 10:32:31 +0530

wpa (2.1-0ubuntu1.7+esm4) trusty-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: DoS and possible code execution via P2P provision
    discovery requests
    - debian/patches/CVE-2021-27803-pre1.patch: cleanup handling of unknown
      peer in PD Request processing in src/p2p/p2p_pd.c.
    - debian/patches/CVE-2021-27803.patch: fix a corner case in peer
      addition based on PD Request in src/p2p/p2p_pd.c.
    - CVE-2021-27803

 -- Avital Ostromich <avital.ostromich@canonical.com>  Tue, 02 Mar 2021 15:46:05 -0500

wpa (2.1-0ubuntu1.7+esm3) trusty-security; urgency=medium

  * SECURITY UPDATE: P2P discovery heap overflow
    - debian/patches/CVE-2021-0326.patch: P2P: Fix copying of secondary
      device types for P2P group client
    - CVE-2021-0326
  * SECURITY UPDATE: UPnP SUBSCRIBE misbehavior in WPS AP
    - debian/patches/CVE-2020-12695-1.patch: WPS UPnP: Do not allow
      event subscriptions with URLs to other networks
    - debian/patches/CVE-2020-12695-2.patch: WPS UPnP: Fix event message
      generation using a long URL path
    - debian/patches/CVE-2020-12695-3.patch: WPS UPnP: Handle HTTP
      initiation failures for events more properly
    - CVE-2020-12695

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 12 Feb 2021 10:12:23 -0800

wpa (2.1-0ubuntu1.7+esm2) trusty-security; urgency=medium

   * SECURITY UPDATE: Incorrect indication of disconnection in certain
     situations
     - debian/patches/CVE-2019-16275.patch: silently ignore management
       frame from unexpected source address in src/ap/drv_callbacks.c,
       src/ap/ieee882_11.c.
     - CVE-2019-16275

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 17 Sep 2019 06:23:28 -0300

wpa (2.1-0ubuntu1.7+esm1) trusty-security; urgency=medium

   [ Marc Deslauriers ]
   * SECURITY UPDATE: EAP-pwd DoS via unexpected fragment
    - debian/patches/CVE-2019-11555-1.patch: fix reassembly buffer handling
      in src/eap_server/eap_server_pwd.c.
    - debian/patches/CVE-2019-11555-2.patch: fix reassembly buffer handling
      in src/eap_peer/eap_pwd.c.
    - CVE-2019-11555

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 07 May 2019 11:06:36 -0300

wpa (2.1-0ubuntu1.7) trusty-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/VU-871675/*.patch: backported upstream patches.
    - CVE-2019-9495
    - CVE-2019-9497
    - CVE-2019-9498
    - CVE-2019-9499
  * SECURITY UPDATE: insecure os_random() fallback
    - debian/patches/CVE-2016-10743.patch: Use only os_get_random() for PIN
      generation.
    - CVE-2016-10743

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Apr 2019 08:28:53 -0400

wpa (2.1-0ubuntu1.6) trusty-security; urgency=medium

  * SECURITY UPDATE: Expose sensitive information
    - debian/patches/CVE-2018-14526.patch: fix in src/rsn_supp/wpa.c.
    - CVE-2018-14526

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 09 Aug 2018 14:17:41 -0300

wpa (2.1-0ubuntu1.5) trusty-security; urgency=medium

  * SECURITY UPDATE: Multiple issues in WPA protocol
    - debian/patches/2017-1/*.patch: Add patches from Debian jessie
    - CVE-2017-13077, CVE-2017-13078, CVE-2017-13079, CVE-2017-13080,
      CVE-2017-13081, CVE-2017-13082, CVE-2017-13086, CVE-2017-13087,
      CVE-2017-13088
  * SECURITY UPDATE: Denial of service issues
    - debian/patches/2016-1/*.patch: Add patches from Debian jessie
    - CVE-2016-4476
    - CVE-2016-4477

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Oct 2017 08:20:18 -0400

wpa (2.1-0ubuntu1.4) trusty-security; urgency=medium

  * SECURITY UPDATE: unauthorized WNM Sleep Mode GTK control
    - debian/patches/CVE-2015-5310.patch: Ignore Key Data in WNM Sleep Mode
      Response frame if no PMF in use in wpa_supplicant/wnm_sta.c.
    - CVE-2015-5310
  * SECURITY UPDATE: EAP-pwd missing last fragment length validation
    - debian/patches/CVE-2015-5315-1.patch: Fix last fragment length
      validation in src/eap_peer/eap_pwd.c.
    - debian/patches/CVE-2015-5315-2.patch: Fix last fragment length
      validation in src/eap_server/eap_server_pwd.c.
    - CVE-2015-5315

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Nov 2015 07:23:28 -0600

wpa (2.1-0ubuntu1.3) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via WPS UPnP
    - debian/patches/CVE-2015-4141.patch: check chunk size in
      src/wps/httpread.c.
    - CVE-2015-4141
  * SECURITY UPDATE: denial of service via AP mode WMM Action frame
    - debian/patches/CVE-2015-4142.patch: check length in src/ap/wmm.c.
    - CVE-2015-4142
  * SECURITY UPDATE: denial of service via EAP-pwd
    - debian/patches/CVE-2015-4143-4146.patch: check lengths in
      src/eap_peer/eap_pwd.c, src/eap_server/eap_server_pwd.c.
    - CVE-2015-4143
    - CVE-2015-4144
    - CVE-2015-4145
    - CVE-2015-4146

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Jun 2015 10:34:37 -0400

wpa (2.1-0ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: memcpy overflow in P2P functionality
    - debian/patches/CVE-2015-1863.patch: validate SID element length in
      src/p2p/p2p.c.
    - CVE-2015-1863

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Apr 2015 13:45:07 -0400

wpa (2.1-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: arbitrary command execution via unsanitized string
    passed to action scripts by wpa_cli and hostapd_cli
    - debian/patches/CVE-2014-3686.patch: added os_exec() helper to
      src/utils/os.h, src/utils/os_unix.c, src/utils/os_win32.c,

