## wpa 2.3

=== debian/changelog ===
wpa (2.3-1+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches to fix WPA protocol vulnerabilities (CVE-2017-13077,
    CVE-2017-13078, CVE-2017-13079, CVE-2017-13080, CVE-2017-13081,
    CVE-2017-13082, CVE-2017-13086, CVE-2017-13087, CVE-2017-13088):
    - hostapd: Avoid key reinstallation in FT handshake
    - Prevent reinstallation of an already in-use group key
    - Extend protection of GTK/IGTK reinstallation of WNM-Sleep Mode cases
    - Fix PTK rekeying to generate a new ANonce
    - TDLS: Reject TPK-TK reconfiguration
    - WNM: Ignore WNM-Sleep Mode Response if WNM-Sleep Mode has not been used
    - WNM: Ignore WNM-Sleep Mode Response without pending request
    - FT: Do not allow multiple Reassociation Response frames
    - TDLS: Ignore incoming TDLS Setup Response retries

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Oct 2017 14:11:26 +0200

wpa (2.3-1+deb8u4) jessie; urgency=medium

  * Non-maintainer upload.
  * Add patches to address CVE-2016-4476 and CVE-2016-4477, thanks to
    Salvatore Bonaccorso <carnil@debian.org> (Closes: #823411):
    - WPS: Reject a Credential with invalid passphrase
    - Reject psk parameter set with invalid passphrase character
    - Remove newlines from wpa_supplicant config network output
    - Reject SET_CRED commands with newline characters in the string values
    - Reject SET commands with newline characters in the string values
  * Refresh patches to apply cleanly.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 21 Jul 2016 09:01:51 +0200

wpa (2.3-1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-5314.patch patch.
    CVE-2015-5314: hostapd: EAP-pwd missing last fragment length validation.
  * Add CVE-2015-5315.patch patch.
    CVE-2015-5315: wpa_supplicant: EAP-pwd missing last fragment length
    validation.
  * Add CVE-2015-5316.patch patch.
    CVE-2015-5316: EAP-pwd peer error path failure on unexpected Confirm
    message.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Nov 2015 16:05:23 +0100

wpa (2.3-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to address CVE-2015-4141.
    CVE-2015-4141: WPS UPnP vulnerability with HTTP chunked transfer
    encoding. (Closes: #787372)
  * Add patch to address CVE-2015-4142.
    CVE-2015-4142: Integer underflow in AP mode WMM Action frame processing.
    (Closes: #787373)
  * Add patches to address CVE-2015-414{3,4,5,6}
    CVE-2015-4143 CVE-2015-4144 CVE-2015-4145 CVE-2015-4146: EAP-pwd missing
    payload length validation. (Closes: #787371)
  * Add patch to address 2015-5 vulnerability.
    NFC: Fix payload length validation in NDEF record parser (Closes: #795740)
  * Add patch to address CVE-2015-5310.
    CVE-2015-5310: wpa_supplicant unauthorized WNM Sleep Mode GTK control.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Oct 2015 10:07:44 +0100

wpa (2.3-1+deb8u1) jessie-security; urgency=high

  * import "P2P: Validate SSID element length before copying it
    (CVE-2015-1863)" from upstream (Closes: #783148).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Apr 2015 19:32:29 +0200

wpa (2.3-1) unstable; urgency=medium

  * New upstream release:
    - fixed by the new upstream version:
      + wpa: arbitrary command execution via action scripts (Closes: #765352).
        wpasupplicant: fixed wpa_cli action script execution to use more
        robust mechanism (CVE-2014-3686).
        hostapd: fixed hostapd_cli action script execution to use more robust
        mechanism (CVE-2014-3686).
      + wpasupplicant: MAC addressing changing broken after updating to 2.2-1
        (Closes: #763775).
      + drop ap_config_c_fix-typo-for-capabilities, applied upstream.
    - backport "Include ieee802_11_common.c in wpa_supplicant build
      unconditionally" from HEAD, to fix a newly introduced FTBS on, at least,
      kfreebsd.
  * bump standards version to 3.9.6, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 14 Oct 2014 21:29:37 +0200

wpa (2.2-1) unstable; urgency=medium

  * New upstream release:
    - import suggested changes from Gerald Turner <gturner@unzane.com> (see
      #718651 for details).
      + disable ACS for hostapd on kfreebsd-any (FTBS).
    - fixed by the new upstream version:
      + wpa_supplicant: OpenSSL: tls_connection_handshake - Failed to read
      (Closes: #561081).
      + wpasupplicant: new upstream release 2.2 (Closes: #718651).
      + wpasupplicant: -s option not documented in man page (Closes: #608135).
    - refresh patches:
      + drop 13_human_readable_signal.patch, applied upstream.
      + drop hostapd_fix-WDS-VLAN-bridge-handling.patch, applied upstream.
      + drop fix-spelling-s-algorith-algorithm.patch, applied upstream.
    - adapt build configs for hostapd/ wpa_supplicant 2.2:
      + sync with updated upstream defconfigs.
      + keep Hotspot 2.0 support disabled for the time being.
      + hostapd: keep sqlite3 support disabled for the time being.
    - update debian/copyright manually, the wpa v2 branch was relicensed from
      (BSD-3-clause || GPL-2) to BSD-3-clause only (for the most part). This
      doesn't change the licensing state as the BSD-3-clause license is 
      compatible with GPL-2.
  * drop pre-wheezy /lib/init/rw/sendsigs.omit.d/ migration support, invert the
    versioned initscripts dependency to a versioned breaks relation.
  * migrate from /var/run/ to /run/.
  * adapt get-orig-source for wpa 2.2.
  * drop version qualifiers for libnl3 build dependencies, as they're
    fullfilled by wheezy.
  * drop version qualifiers for the lsb-base build dependency, as they're
    fullfilled by squeeze.
  * shorten short description for hostapd.
  * sort debian/control entries.
  * make lintian happy (invalid-short-name-in-dep5-copyright bsd) and call it
    BSD-3-clause.

