=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,18 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to
 # enable the missing (hardening) flags
-CFLAGS   += -MMD -Wall $(CPPFLAGS)
-CXXFLAGS += $(CPPFLAGS)
+DEB_CFLAGS_MAINT_APPEND   = -MMD -Wall $(shell dpkg-buildflags --get CPPFLAGS)
+DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND
 
-UCFLAGS  = -MMD -Wall -g -Os
+UCFLAGS   = -MMD -Wall -g -Os -fPIC
 
-BINDIR   = /sbin
+BINDIR    = /sbin
 V = 1
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -117,12 +122,14 @@
 override_dh_gencontrol:
 	dh_gencontrol -phostapd -- '-v1:$(VERSION)'
 	dh_gencontrol --remaining-packages
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z6
 ### end dh overrides
 
 %:
-	dh $@
+	dh ${@} --parallel
 
 get-orig-source:
 	chmod +x $(CURDIR)/debian/get-orig-source
 	$(CURDIR)/debian/get-orig-source $(CURDIR)
-
